package com.ss.android.ugc.aweme.compliance;

import X.FFq;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.compliance.api.services.depend.IComplianceDependService;

public final class ComplianceDependServiceImpl implements IComplianceDependService {
    static {
        Covode.recordClassIndex(60419);
    }

    public final boolean LIZ() {
        return FFq.LIZ;
    }

    public static IComplianceDependService LIZIZ() {
        MethodCollector.i(1904);
        IComplianceDependService iComplianceDependService = (IComplianceDependService) Lnj.LIZ(IComplianceDependService.class, false);
        if (iComplianceDependService != null) {
            MethodCollector.o(1904);
            return iComplianceDependService;
        }
        Object LIZIZ = Lnj.LIZIZ(IComplianceDependService.class, false);
        if (LIZIZ != null) {
            IComplianceDependService iComplianceDependService2 = (IComplianceDependService) LIZIZ;
            MethodCollector.o(1904);
            return iComplianceDependService2;
        }
        if (Lnj.LLD == null) {
            synchronized (IComplianceDependService.class) {
                try {
                    if (Lnj.LLD == null) {
                        Lnj.LLD = new ComplianceDependServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(1904);
                    throw th;
                }
            }
        }
        ComplianceDependServiceImpl complianceDependServiceImpl = (ComplianceDependServiceImpl) Lnj.LLD;
        MethodCollector.o(1904);
        return complianceDependServiceImpl;
    }
}
